using System;
using System.Collections.Generic;
using System.IO;
using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;
using TDCG;
//css_reference Microsoft.DirectX.dll;
//css_reference Microsoft.DirectX.Direct3D.dll;
//css_reference Microsoft.DirectX.Direct3DX.dll;

namespace TDCG.Proportion
{
    public class Zoom : IProportion
    {
        Dictionary<string, TPONode> nodes;
        public Dictionary<string, TPONode> Nodes { set { nodes = value; }}

        public void Execute()
        {
            TPONode node;

            node = nodes["W_Hips"];
            node.Scale(0.92F, 1.10F, 1.10F);
            node.Move(0.00F, 1.10F, 0.00F);

            node = nodes["W_Neck"];
            node.Scale(0.91F, 0.91F, 0.91F);
        }
    }
}
