using System;
using System.Collections.Generic;
using System.IO;
using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;
using TDCG;
//css_reference Microsoft.DirectX.dll;
//css_reference Microsoft.DirectX.Direct3D.dll;
//css_reference Microsoft.DirectX.Direct3DX.dll;

namespace TDCG.Proportion
{
    public class cs_bcg_eyes_Scale_d : IProportion
    {
        Dictionary<string, TPONode> nodes;
        public Dictionary<string, TPONode> Nodes { set { nodes = value; }}

        public void Execute()
        {
            TPONode node;

            node = nodes["eyeline_sita_R"];
            node.Scale(1.15F, 1.15F, 1.00F);

            node = nodes["eyeline_sita_L"];
            node.Scale(1.15F, 1.15F, 1.00F);

            node = nodes["L_eyeline_oya_L"];
            node.Scale(1.15F, 1.15F, 1.00F);
            node.Move(0.00F, 0.03F, 0.00F);

            node = nodes["R_eyeline_oya_R"];
            node.Scale(1.15F, 1.15F, 1.00F);
            node.Move(0.00F, 0.03F, 0.00F);

            node = nodes["Me_Left_Futi"];
            node.Scale(1.15F, 1.15F, 1.15F);
            node.Move(0.00F, 0.00F, 0.05F);

            node = nodes["Me_Right_Futi"];
            node.Scale(1.15F, 1.15F, 1.15F);
            node.Move(0.00F, 0.00F, 0.05F);
        }
    }
}
