using System;
using System.Collections.Generic;
using System.IO;
using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;
using TDCG;
//css_reference Microsoft.DirectX.dll;
//css_reference Microsoft.DirectX.Direct3D.dll;
//css_reference Microsoft.DirectX.Direct3DX.dll;

namespace TDCG.Proportion
{
    public class cs_dec_Leg_6Foot_W_d : IProportion
    {
        Dictionary<string, TPONode> nodes;
        public Dictionary<string, TPONode> Nodes { set { nodes = value; }}

        public void Execute()
        {
            TPONode node;

            node = nodes["W_LeftFoot"];
            node.Scale1(0.90F, 1.00F, 0.80F);

            node = nodes["W_LeftToeBase"];
            node.Scale1(0.90F, 1.00F, 0.80F);

            node = nodes["W_LeftToes_End"];
            node.Scale1(0.90F, 1.00F, 0.80F);

            node = nodes["W_RightFoot"];
            node.Scale1(0.90F, 1.00F, 0.80F);

            node = nodes["W_RightToeBase"];
            node.Scale1(0.90F, 1.00F, 0.80F);

            node = nodes["W_RightToes_End"];
            node.Scale1(0.90F, 1.00F, 0.80F);
        }
    }
}
