using System;
using System.Collections.Generic;
using System.IO;
using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;
using TDCG;
//css_reference Microsoft.DirectX.dll;
//css_reference Microsoft.DirectX.Direct3D.dll;
//css_reference Microsoft.DirectX.Direct3DX.dll;

namespace TDCG.Proportion
{
    public class cs_bci_eyelineType_B : IProportion
    {
        Dictionary<string, TPONode> nodes;
        public Dictionary<string, TPONode> Nodes { set { nodes = value; }}

        public void Execute()
        {
            TPONode node;

            node = nodes["L_eyeline_3_L"];
            node.Scale(1.00F, 1.25F, 1.00F);
            node.RotateX(Geometry.DegreeToRadian(0.50F));

            node = nodes["L_eyeline_3_R"];
            node.Scale(1.00F, 0.75F, 1.00F);

            node = nodes["R_eyeline_3_L"];
            node.Scale(1.00F, 1.25F, 1.00F);
            node.RotateX(Geometry.DegreeToRadian(0.50F));

            node = nodes["R_eyeline_3_R"];
            node.Scale(1.00F, 0.75F, 1.00F);
        }
    }
}
