using System;
using System.Collections.Generic;
using System.IO;
using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;
using TDCG;
//css_reference Microsoft.DirectX.dll;
//css_reference Microsoft.DirectX.Direct3D.dll;
//css_reference Microsoft.DirectX.Direct3DX.dll;

namespace TDCG.Proportion
{
    public class cs_dec_Arm_5Hand_L_d : IProportion
    {
        Dictionary<string, TPONode> nodes;
        public Dictionary<string, TPONode> Nodes { set { nodes = value; }}

        public void Execute()
        {
            TPONode node;

            node = nodes["W_RightHand"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandPinky1"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandPinky2"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandPinky3"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandPinky4"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandRing1"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandRing2"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandRing3"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandRing4"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandMiddle1"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandMiddle2"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandMiddle3"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandMiddle4"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandIndex1"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandIndex2"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandIndex3"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandIndex4"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandThumb1"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandThumb2"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandThumb3"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_RightHandThumb4"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHand"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandPinky1"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandPinky2"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandPinky3"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandPinky4"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandRing1"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandRing2"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandRing3"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandRing4"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandMiddle1"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandMiddle2"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandMiddle3"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandMiddle4"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandIndex1"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandIndex2"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandIndex3"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandIndex4"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandThumb1"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandThumb2"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandThumb3"];
            node.Scale1(0.80F, 1.00F, 1.00F);

            node = nodes["W_LeftHandThumb4"];
            node.Scale1(0.80F, 1.00F, 1.00F);
        }
    }
}
