using System;
using System.Collections.Generic;
using System.IO;
using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;
using TDCG;
//css_reference Microsoft.DirectX.dll;
//css_reference Microsoft.DirectX.Direct3D.dll;
//css_reference Microsoft.DirectX.Direct3DX.dll;

namespace TDCG.Proportion
{
    public class cs_ded_Bodyp_Scale : IProportion
    {
        Dictionary<string, TPONode> nodes;
        public Dictionary<string, TPONode> Nodes { set { nodes = value; }}

        public void Execute()
        {
            TPONode node;

            node = nodes["W_Spine_Dummy"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["W_Spine1"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["W_Spine2"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["W_Spine3"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["Chichi_Right1"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["Chichi_Right2"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["Chichi_Right3"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["Chichi_Right4"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["Chichi_Right5"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["Chichi_Right5_end"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["Chichi_Left1"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["Chichi_Left2"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["Chichi_Left3"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["Chichi_Left4"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["Chichi_Left5"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["Chichi_Left5_End"];
            node.Scale1(0.70F, 0.70F, 0.70F);
        }
    }
}
