using System;
using System.Collections.Generic;
using System.IO;
using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;
using TDCG;
//css_reference Microsoft.DirectX.dll;
//css_reference Microsoft.DirectX.Direct3D.dll;
//css_reference Microsoft.DirectX.Direct3DX.dll;

namespace TDCG.Proportion
{
    public class hc_body_l_d : IProportion
    {
        Dictionary<string, TPONode> nodes;
        public Dictionary<string, TPONode> Nodes { set { nodes = value; }}

        public void Execute()
        {
            TPONode node;

            node = nodes["W_Spine_Dummy"];
            node.Scale1(1.00F, 0.90F, 1.00F);

            node = nodes["W_Spine1"];
            node.Scale1(1.00F, 0.90F, 1.00F);

            node = nodes["W_Spine2"];
            node.Scale1(0.95F, 0.80F, 0.95F);

            node = nodes["W_Spine3"];
            node.Scale1(0.95F, 0.80F, 0.95F);

            node = nodes["W_RightShoulder_Dummy"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["W_RightShoulder"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["W_LeftShoulder_Dummy"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["W_LeftShoulder"];
            node.Scale1(0.70F, 0.70F, 0.70F);

            node = nodes["Chichi_Right1"];
            node.Scale(0.90F, 0.90F, 0.90F);

            node = nodes["Chichi_Left1"];
            node.Scale(0.90F, 0.90F, 0.90F);
        }
    }
}
